apiVersion: cluster.x-k8s.io/v1beta1
kind: Cluster
metadata:
  name: "rosa-rknaur523"
spec:
  clusterNetwork:
    pods:
      cidrBlocks:
      - 192.168.0.0/16
  infrastructureRef:
    apiVersion: infrastructure.cluster.x-k8s.io/v1beta2
    kind: ROSACluster 
    name: "rosa-rknaur523"
  controlPlaneRef:
    apiVersion: controlplane.cluster.x-k8s.io/v1beta2
    kind: ROSAControlPlane
    name: "rosa-rknaur523-control-plane"
---
# Source: rosa-cluster/templates/rosa.yaml
apiVersion: infrastructure.cluster.x-k8s.io/v1beta2
kind: ROSACluster
metadata:
  name: "rosa-rknaur523"
spec: {}
---
# Source: rosa-cluster/templates/rosa.yaml
apiVersion: controlplane.cluster.x-k8s.io/v1beta2
kind: ROSAControlPlane
metadata:
  name: "rosa-rknaur523-control-plane"
spec:
  rosaClusterName: rosa-rknaur523
  version: "4.18.0-rc.6"
  region: "us-west-2"
  channelGroup: candidate
  endpointAccess: Public
  clusterRegistryConfig:
    allowedRegistriesForImport:
      - domainName: "trusted-registry.com"
        insecure: false
      - domainName: "*.insecure-registry.com"
        insecure: true
    registrySources:
      allowedRegistries:
        - "allowed-registry.com"
      insecureRegistries:
        - "insecure-registry.com"
  identityRef:
    kind: AWSClusterControllerIdentity
    name: default
  credentialsSecretRef:
    name: rosa-creds-secret
  network:
    machineCIDR: "10.0.0.0/16"
  rolesRef:
    ingressARN: "arn:aws:iam::471112697682:role/rk-openshift-ingress-operator-cloud-credentials"
    imageRegistryARN: "arn:aws:iam::471112697682:role/rk-openshift-image-registry-installer-cloud-credentials"
    storageARN: "arn:aws:iam::471112697682:role/rk-openshift-cluster-csi-drivers-ebs-cloud-credentials"
    networkARN: "arn:aws:iam::471112697682:role/rk-openshift-cloud-network-config-controller-cloud-credentials"
    kubeCloudControllerARN: "arn:aws:iam::471112697682:role/rk-kube-system-kube-controller-manager"
    nodePoolManagementARN: "arn:aws:iam::471112697682:role/rk-kube-system-capa-controller-manager"
    controlPlaneOperatorARN: "arn:aws:iam::471112697682:role/rk-kube-system-control-plane-operator"
    kmsProviderARN: "arn:aws:iam::471112697682:role/rk-kube-system-kms-provider"
  oidcID: "2gf8rmqmkhic4egagjg1hj13relln2ds"
  subnets:
    - "subnet-0d57a757e22479b29" # remove if creating a private cluster
    - "subnet-05057084d02847ca9"
  availabilityZones:
    - "us-west-2a"
  installerRoleARN: "arn:aws:iam::471112697682:role/rk-HCP-ROSA-Installer-Role"
  supportRoleARN: "arn:aws:iam::471112697682:role/rk-HCP-ROSA-Support-Role"
  workerRoleARN: "arn:aws:iam::471112697682:role/rk-HCP-ROSA-Worker-Role"
---
apiVersion: infrastructure.cluster.x-k8s.io/v1beta2
kind: AWSClusterControllerIdentity
metadata:
  name: "default"
spec:
  allowedNamespaces: {}  # matches all namespaces